aboutsummaryrefslogtreecommitdiffstats
path: root/main/cjdns/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-09-02 11:09:05 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-09-02 11:09:05 +0000
commit3a9d09bfe8c5358a19863e8671ad32e8fb81d98a (patch)
tree593f45f368ce58ebb8d4a8d6565577e912b2329b /main/cjdns/APKBUILD
parenta573eb5b7b439fadc6c778ba99b8587a87289eb0 (diff)
downloadaports-3a9d09bfe8c5358a19863e8671ad32e8fb81d98a.tar.gz
aports-3a9d09bfe8c5358a19863e8671ad32e8fb81d98a.tar.bz2
aports-3a9d09bfe8c5358a19863e8671ad32e8fb81d98a.tar.xz
main/cjdns: really only disable on x86
Diffstat (limited to 'main/cjdns/APKBUILD')
-rw-r--r--main/cjdns/APKBUILD50
1 files changed, 24 insertions, 26 deletions
diff --git a/main/cjdns/APKBUILD b/main/cjdns/APKBUILD
index 00d4184215..52c2821be6 100644
--- a/main/cjdns/APKBUILD
+++ b/main/cjdns/APKBUILD
@@ -4,12 +4,12 @@
pkgname=cjdns
pkgver=17.4
pkgrel=2
-pkgdesc='A routing engine designed for security, scalability, speed and ease of use'
-url='https://github.com/cjdelisle/cjdns'
-arch='x86_64 armhf'
-license='GPL3'
+pkgdesc="A routing engine designed for security, scalability, speed and ease of use"
+url="https://github.com/cjdelisle/cjdns"
+arch="all !x86"
+license="GPL3"
depends=
-makedepends='bash nodejs-lts python linux-headers libseccomp-dev'
+makedepends="bash nodejs-lts python linux-headers libseccomp-dev"
install="$pkgname.post-install"
subpackages="$pkgname-doc"
source="${pkgname}-${pkgver}.tar.gz::https://github.com/cjdelisle/${pkgname}/archive/cjdns-v${pkgver}.tar.gz"
@@ -17,30 +17,28 @@ source="${pkgname}-${pkgver}.tar.gz::https://github.com/cjdelisle/${pkgname}/arc
builddir="$srcdir/$pkgname-$pkgname-v$pkgver"
build() {
- cd "$builddir"
- # if fails with ccache
- export CC=gcc
- CJDNS_RELEASE_VERSION="${pkgver}" bash 'do'
+ cd "$builddir"
+ export CJDNS_RELEASE_VERSION="${pkgver}"
+ bash 'do' || return 1
}
package() {
- cd "$builddir"
- install -Dm755 cjdroute "$pkgdir/usr/sbin/cjdroute"
- install -Dm755 contrib/openrc/cjdns "$pkgdir/etc/init.d/cjdns"
-
- install -Dm644 doc/man/cjdroute.conf.5 \
- "${pkgdir}/usr/share/man/man5/cjdroute.conf.5"
- install -Dm 644 README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
- install -Dm644 -t "${pkgdir}/usr/share/doc/${pkgname}" \
- doc/admin-api.md \
- doc/configure.md \
- doc/djc_layer_model.md \
- doc/nat-gateway.md \
- doc/network-services.md \
- doc/non-root-user.md \
- doc/security_specification.md \
- doc/shorewall_and_vpn_gateway_howto.md \
- doc/tunnel.md
+ cd "$builddir"
+ install -Dm755 cjdroute "$pkgdir/usr/sbin/cjdroute"
+ install -Dm755 contrib/openrc/cjdns "$pkgdir/etc/init.d/cjdns"
+ install -Dm644 doc/man/cjdroute.conf.5 \
+ "${pkgdir}/usr/share/man/man5/cjdroute.conf.5"
+ install -Dm 644 README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
+ install -Dm644 -t "${pkgdir}/usr/share/doc/${pkgname}" \
+ doc/admin-api.md \
+ doc/configure.md \
+ doc/djc_layer_model.md \
+ doc/nat-gateway.md \
+ doc/network-services.md \
+ doc/non-root-user.md \
+ doc/security_specification.md \
+ doc/shorewall_and_vpn_gateway_howto.md \
+ doc/tunnel.md
}
md5sums="e74f25941879e807086a8b70771fcf60 cjdns-17.4.tar.gz"